# Create USnap Service - CreateSnapshotService

## Overview

Create USnap Service






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateSnapshotService`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **VDiskId** | string | Disk ID |**Yes**|
| **ChargeType** | string | Yearly , Monthly, Default: Monthly |No|
| **Quantity** | int | Purchase Duration Default: 1 |No|
| **Tag** | string | Business Group Default: Default |No|
| **BackupMode** | string | The default is to activate the basic package, "Base": Basic Edition, "Ultimate": Flagship Edition, "Custom": Custom Backup Chain. |No|
| **Journal** | int | When BackupMode is set to Custom, settings are made based on multiples of 12 hours in seconds, such as 12, 24, 36, 48. |No|
| **Hour** | int | When BackupMode is set to Custom, settings are made on a 24-hour basis and multiplied, such as 24, 48, 72, 96. |No|
| **Day** | int | When BackupMode is set to Custom, settings are made based on a multiple of 5 days, such as 5, 10, 15, 20, 25, 30. |No|
| **CouponId** | string | Coupon ID |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **SnapshotServiceId** | string | Snapshot Service ID |**Yes**|
| **Status** | string | Snapshot Service Status, Status: Available(Available), InAvailable(Unavailable), Expired(In Arrears) |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=CreateSnapshotService
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=zJuzzWFf
&VDiskId=KWofBuYG
&Quantity=9
&ChargeType=DBszwtFT
&CouponId=CCpkbTeg
&CouponId=xFISNPEZ
&Tag=DjjJMPup
&Form=1
&Journal=3
&Hour=1
&Day=9
&Form=3
&Journal=9
&Hour=2
&Day=5
&UHostQuantity=6.71152
```

### Response Example
    
```json
{
  "Action": "CreateSnapshotServiceResponse",
  "RetCode": 0,
  "ServiceID": "uHcWVAVa",
  "Status": "awQmvrLq"
}
```





